//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SCHECK.H 

#if !defined(__SFX_SCHECK_H)
#define __SFX_SCHECK_H

#if !defined(__OWL_CHECKBOX_H)
  #include <owl\checkbox.h>
#endif

class _OWLCLASS TGroupBox;

//	class TSFXCheckBox

class _OWLCLASS TSFXCheckBox : public TCheckBox
{
public:
	TSFXCheckBox(TWindow*        parent,
				 int             id,
				 const char far* title,
				 int x, int y, int w, int h,
				 TGroupBox*      group,
				 TModule*        module = 0);

	TSFXCheckBox(TWindow*   parent,
				 int        resourceId,
				 TGroupBox* group,
				 TModule*   module = 0);

  protected:
    char far* GetClassName();

  DECLARE_STREAMABLE_FROM_BASE(_OWLCLASS, TSFXCheckBox, TCheckBox);
};

#endif	//	__SFX_SCHECK_H
